<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
-->
<xsl:stylesheet xmlns="http://docs.oasis-open.org/ns/opencsa/sca/200903"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sca="http://docs.oasis-open.org/ns/opencsa/sca/200903"
	version="1.0" exclude-result-prefixes="sca">
	<xsl:output method="xml" encoding="UTF-8" indent="yes" />

	<xsl:template match="sca:interface.java">
 		<xsl:variable name="root" select="substring-after(@interface, 'test.')" />
		<interface.cpp>
		<xsl:attribute name="header">
			<xsl:text>test\</xsl:text>
 			<xsl:value-of select="$root" />
			<xsl:text>.h</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="remotable">
			<xsl:text>true</xsl:text>
		</xsl:attribute>
		</interface.cpp>
	</xsl:template>

	<xsl:template match="sca:implementation.java">
 		<xsl:variable name="root" select="substring-after(@class, 'test.')" />
		<implementation.cpp>
		<xsl:attribute name="library">
			<xsl:text>bin\ASM_8001</xsl:text>
		</xsl:attribute>
			<xsl:attribute name="class">
 			<xsl:value-of select="$root" />
		</xsl:attribute>
		</implementation.cpp>
	</xsl:template>

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>