/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * A remotable service interface containing 2 operations with the same name
 * This is a superset of the basic Service1 interface
 * @author Bryan Aupperle
 *
 */

#include <string>

// @Remotable
class Service3 {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 * @return - output data as a std::string
	 */
	virtual std::string operation1(const std::string input);

	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as an int
	 * @return - output data as a std::string
	 */
	virtual std::string operation1(int input);

};
