/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C++ component implementation
 * 1 service with interface Service5, which has a callback
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service5.h"
#include "Service5CallbackProxy.h"
#include <string>

class Service5Impl : public Service5 {
public:
	// @Property
	std::string serviceName;

	Service5CallbackProxyPtr callback1;

	Service5Impl();
	virtual ~Service5Impl();

	virtual std::string operation1(const std::string input);

};
