/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * A local service interface containing 1 operation
 * with a callback interface which is remotable
 * @author Bryan Aupperle
 *
 */

#include <string>

// @Callback(header="Service7Callback.h")
class Service7 {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 * @return - output data as a std::string
	 */
	virtual std::string operation1(const std::string input);

};
