/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C++ component implementation
 * 1 service with interface Service5, which has a callback
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service7.h"
#include "Service7CallbackProxy.h"
#include <string>

class Service7Impl : public Service7 {
public:
	// @Property
	std::string serviceName;

	Service7CallbackProxyPtr callback1;

	Service7Impl();
	virtual ~Service7Impl();

	virtual std::string operation1(const std::string input);

};
