#include "refcountingpointer.h"
/*
 * Copyright(C) OASIS(R) 2006,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 */

/** @file */  

#ifndef _oasis_sca_ServiceProxy_h_
#define _oasis_sca_ServiceProxy_h_


namespace oasis {
    namespace sca {
        
        /**
         * Defines the ServiceProxy interface from which all generated Service Proxies derive.
         */
        class ServiceProxy {
            public:
        	    virtual ~ServiceProxy();     
        };
        
        /**
         * RefCounting Pointer for a ServiceProxy.
         */
         typedef RefCountingPointer<ServiceProxy> ServiceProxyPtr;
                
    } // namespace sca
} // namespace oasis 

#endif /* _oasis_sca_ServiceProxy_h_ */
