/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C++ component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service1Impl.h"
#include "..\ComponentContext.h"
#include "..\SDO.h"
using namespace oasis::sca;

// Construction/Destruction

Service1Impl::Service1Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");
	
	return;
}


Service1Impl::~Service1Impl()
{
	return; 
}

// Implementation

std::string Service1Impl::operation1(const std::string input) {
	return serviceName + " operation1 invoked";
}
