/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C++ component implementation with
 * 1 service with interface Service1
 * 0 references
 * 3 properties
 * @author Bryan Aupperle
 *
 */

#include "Service1.h"
#include <string>

class Service1Impl5 : public Service1 {
public:
	// @Property
	std::string serviceName;

	// @Property
	std::string serviceData1;

	// @Property
	std::string serviceData2;

	Service1Impl5();
	virtual ~Service1Impl5();

	virtual std::string operation1(const std::string input);

};
