/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * A superset of the basic test service interface
 * @author Bryan Aupperle
 *
 */

#include <string>

// @Remotable
class Service1Superset {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 * @return - output data as a std::string
	 */
	virtual std::string operation1(const std::string input);

	/**
	 * A second member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 * @return - output data as a std::string
	 */
	virtual std::string operation2(const std::string input);

};
