/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * A test service interface, designed to be incompatible with the Service1 interface
 * @author Bryan Aupperle
 *
 */

#include <string>

// @Remotable
class Service2 {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a long
	 * @return - output data as a long
	 */
	virtual long operation2(long input);

};
