/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C++ component implementation
 * 1 service with interface Service4, where the implementation method modifies the input parameter
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service4.h"
#include <string>

class Service4Impl : public Service4 {
public:
	// @Property
	std::string serviceName;

	Service4Impl();
	virtual ~Service4Impl();

	virtual std::string operation1(std::string input);

};
