/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * A remotable service interface used for a Callback
 * which is incompatible with the Service5 callback
 * @author Bryan Aupperle
 *
 */

#include <string>

// @Remotable
class Service8Callback {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 * @return - output data as a std::string
	 */
	virtual std::string callback2(const std::string input);

};
