#include "refcountingpointer.h"

#ifndef _oasis_sdo_h_
#define _oasis_sdo_h_

namespace oasis {
    namespace sca {
            
        class DataObject {
            public:
                virtual ~DataObject();
                
                virtual std::string getString(const std::string property);
            };    

        class DataFactory {
            public:
                virtual ~DataFactory();
            };    

        typedef RefCountingPointer<DataObject> DataObjectPtr;
        typedef RefCountingPointer<DataFactory> DataFactoryPtr;
    
    } // namespace sca
} // namespace oasis 

#endif /* _oasis_sdoh_ */
