/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C++ component implementation
 * 1 service with interface Service5, which has a callback
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service6.h"
#include "Service6CallbackProxy.h"
#include <string>

class Service6Impl : public Service6 {
public:
	// @Property
	std::string serviceName;

	Service6CallbackProxyPtr callback1;

	Service6Impl();
	virtual ~Service6Impl();

	virtual std::string operation1(const std::string input);

};
