/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * A remotable service interface used for a Callback
 * from Service7
 * 
 * Annotation processor should catch mismatch; no mechanism in SCDL for componentType to
 * have different values of remotable for header and callbackHeader.
 * 
 * @author Bryan Aupperle
 *
 */

#include <string>

//@Remotable
class Service7Callback {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 * @return - output data as a std::string
	 */
	virtual std::string callback1(const std::string input);

};
