/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * A remotable service interface containing 1 operation with a non-const parameter
 * @author Bryan Aupperle
 *
 */

#include <string>

// @Remotable
class Service4 {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 * @return - output data as a std::string
	 */
	virtual std::string operation1(std::string input);

};
