/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * Basic interface to invoke testcases
 * @author Bryan Aupperle
 *
 */

#include "TestException.h"
#include <string>

/*
 * @Remotable
 * @WebService(targetNamespace="http://oasis/tests")
 */
class TestInvocation {
public:
    /**
     * Member function for invoking testcase
     * @param input - input parameter(s) as a std::string
     * @return - output data as a std::string
     */
   // @WebThrows(faults="TestException")
    virtual std::string invokeTest(const std::string input);

};
